Search the Community

Showing results for tags 'linux'.



More search options

  • Search By Tags

    Type tags separated by commas.
  • Search By Author

Content Type


Forums

  • Dying Light
    • EN
    • PL
  • Dying Light: Bad Blood
    • EN
    • PL
  • Pure Farming
    • EN
    • PL
  • Hellraid
    • EN
    • PL
  • Techland
    • EN
    • PL
  • Help
    • Dying Light
    • Pure Farming
  • Off-topic discussions
  • Dyskusje Off-topic

Find results in...

Find results that contain...


Date Created

  • Start

    End


Last Updated

  • Start

    End


Filter by number of...

Joined

  • Start

    End


Group


AIM


MSN


Website URL


ICQ


Yahoo


Jabber


Skype


Location


Interests

Found 10 results

  1. soichiro

    [Linux] Developer Tools

    Hello Techland, I am writing to you because I was wondering if you are planning to release the Developer Tools for Linux because if you do, I will go ahead and buy Dying Light this instance. Please let me know.
  2. so the game tries to detect the current supported version of opengl and fails to load if opengl 4.3 is not detected. Mesa supports opengl 4.3 for all video cards and now supports opengl 4.5, but the game fails to detect the correct version and displays only opengl 3.0. customer supports reaction to this has always been well the game requires opengl 4.4 so now that mesa supports opengl 4.5 is techland going to fix this bug ever?
  3. Since May 2015, the GNU/Linux version of the game has been completely broken, at least all related to multiplayer/online gaming. The games always disconnect us instantaneously, so it's completely impossible to play the game. If you are trying to play online, the game always crashes. I opened a support ticket months ago and nobody gave me an answer or, at least, not a real one, just random messages non-related to the issue and "wait". "Wait. The next patch will fix that", "Wait. The enhanced edition will fix that"... May 2016 and the game is still completely broken. There is no patch, there is no answer and we are still "waiting". So the question is. If we can't play the game, because is still broken, and the patch won't exist, because Techland never worked on it and they never will... Where and how to ask for a refund?
  4. sesantanajr

    Game Does Not Work On Linux

    Game does not work on linux ( ubuntu, fedora , debian, Manjaro , arch ) , with proprietary or free drivers . My notebook is hp core i5 , 8g ram, 500gb hd , radeon hd 8670M series , and the game loads only the beginning, and then displays only sound. Ja checked and did all that was possible , but does not work right.
  5. Hello. Please add support for the following gamepad: Genius MaxFire Blaze 5 Dying Light build ID in Steam: 966780 $ lsusb Bus 006 Device 002: ID 045e:028e Microsoft Corp. Xbox360 Controller The button mapping is the same as other Xbox360-compatible controllers. $ jstest /dev/input/js0 Driver version is 2.1.0. Joystick (Microsoft X-Box 360 pad) has 8 axes (X, Y, Z, Rx, Ry, Rz, Hat0X, Hat0Y) and 11 buttons (BtnX, BtnY, BtnTL, BtnTR, BtnTR2, BtnSelect, BtnThumbL, BtnThumbR, ?, ?, ?). Thanks.
  6. Im running CentOS 7 on and i7 2600k Nvidia gtx 560 with 20Gb ram running the latest nvidia drivers When launching the game I get the following: Materials database was not correctly initialized. Please make sure that global_*.mp files are present in Assets_XXX (platform specific) folder or in build Data folder. This is only happening on my linux install, runs fine on windows but want to get it working on linux too i did a search on the forum and didn't find a post similar to this, but found one on the steam forums, but no way to fix it. Is this a known issue and does anyone know a workaround? Cheers
  7. I'm not even able to start the game on archlinux64: i noticed some shared libraries aren't found on my system and the CPU instruction set is wrong for my i7 since i've no SSE5/AVX support here: obviously, even after fixing the missing libraries problem, i've the instruction set error that can't be solved on my part. By running with the command line "LD_LIBRARY_PATH=./ ./DyingLightGame" from the installation directory i got this: STEAM_RUNTIME is enabled automatically ExecCommandLine: "/home/manuel/.local/share/Steam/ubuntu12_32/steam steam://run/239140/" ExecSteamURL: "steam://run/239140/" Game update: AppID 239140 "Dying Light", ProcID 9486, IP 0.0.0.0:0 Installing breakpad exception handler for appid(steam)/version(1422054110) ERROR: ld.so: object '/home/manuel/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored. ERROR: ld.so: object '/home/manuel/.local/share/Steam/ubuntu12_32/gameoverlayrenderer.so' from LD_PRELOAD cannot be preloaded (wrong ELF class: ELFCLASS32): ignored. Game removed: AppID 239140 "Dying Light", ProcID 9488 My ldd output: $ LD_LIBRARY_PATH=./ ldd DyingLightGame linux-vdso.so.1 (0x00007fffbedd4000) libdl.so.2 => /usr/lib/libdl.so.2 (0x00007fba98be2000) libpthread.so.0 => /usr/lib/libpthread.so.0 (0x00007fba989c6000) libsteam_api.so => ./libsteam_api.so (0x00007fba987b3000) libSDL2-2.0.so.0 => /usr/lib/libSDL2-2.0.so.0 (0x00007fba984b0000) libpng12.so.0 => /usr/lib/libpng12.so.0 (0x00007fba98286000) libjpeg.so.8 => /usr/lib/libjpeg.so.8 (0x00007fba9802c000) libGL.so.1 => /usr/lib/libGL.so.1 (0x00007fba97cd4000) libGLEW.so.1.10 => /usr/lib/libGLEW.so.1.10 (0x00007fba97a4b000) libvorbisfile.so.3 => /usr/lib/libvorbisfile.so.3 (0x00007fba97842000) libfmodex64.so => ./libfmodex64.so (0x00007fba97492000) libopenal.so.1 => /usr/lib/libopenal.so.1 (0x00007fba97221000) libstdc++.so.6 => /usr/lib/libstdc++.so.6 (0x00007fba96f12000) libm.so.6 => /usr/lib/libm.so.6 (0x00007fba96c0d000) libgcc_s.so.1 => /usr/lib/libgcc_s.so.1 (0x00007fba969f7000) libc.so.6 => /usr/lib/libc.so.6 (0x00007fba96654000) /lib64/ld-linux-x86-64.so.2 (0x00007fba98de6000) librt.so.1 => /usr/lib/librt.so.1 (0x00007fba9644c000) libz.so.1 => /usr/lib/libz.so.1 (0x00007fba96236000) libnvidia-tls.so.346.35 => /usr/lib/libnvidia-tls.so.346.35 (0x00007fba96033000) libnvidia-glcore.so.346.35 => /usr/lib/libnvidia-glcore.so.346.35 (0x00007fba9335b000) libX11.so.6 => /usr/lib/libX11.so.6 (0x00007fba93019000) libXext.so.6 => /usr/lib/libXext.so.6 (0x00007fba92e07000) libXmu.so.6 => /usr/lib/libXmu.so.6 (0x00007fba92bec000) libXi.so.6 => /usr/lib/libXi.so.6 (0x00007fba929db000) libvorbis.so.0 => /usr/lib/libvorbis.so.0 (0x00007fba927ae000) libogg.so.0 => /usr/lib/libogg.so.0 (0x00007fba925a7000) libxcb.so.1 => /usr/lib/libxcb.so.1 (0x00007fba92385000) libXt.so.6 => /usr/lib/libXt.so.6 (0x00007fba9211e000) libXau.so.6 => /usr/lib/libXau.so.6 (0x00007fba91f1a000) libXdmcp.so.6 => /usr/lib/libXdmcp.so.6 (0x00007fba91d14000) libSM.so.6 => /usr/lib/libSM.so.6 (0x00007fba91b0c000) libICE.so.6 => /usr/lib/libICE.so.6 (0x00007fba918ef000) libuuid.so.1 => /usr/lib/libuuid.so.1 (0x00007fba916ea000) Full strace output on pastebin So, after inspecting the linux executable, i can see how it has been compiled with the SSE5/XOP/AVX instruction sets enabled, although some of our CPUs can't handle that, leading to a "trap invalid opcode" error: 110dd3f: 8f c9 46 80 b7 47 bd vfrczps ymm6,YMMWORD PTR [r15-0x78be42b9] -- 1117ae6: 8f 69 1f 80 6b cf vfrczps ymm13,YMMWORD PTR [rbx-0x31] -- 111d7f8: 8f vpmacssdql xmm11,xmm2,xmm1,xmm7,(bad) -- 116103a: 0f 7a 56 70 3e phadduwd xmm6,QWORD PTR [rax+0x3e] -- 1178a6c: c4 vfnmsubpd ymm14,ymm1,ymm4,ymm10,(bad) -- 11a1d69: c4 c2 35 13 55 8a vcvtph2ps ymm2,XMMWORD PTR [r13-0x76] -- 11c2e89: 8f 89 77 94 22 vpshlb ymm4,[r10],xmm1 -- 11e8c6f: 8f vpmadcswd xmm4,xmm11,xmm2,XMMWORD PTR [rdx-0x7d],(bad) In my case i've an Intel® Core i7 CPU 920 @ 2.67GHz, it does support SSE up to 4.2, but obviously a "trap invalid opcode" happens whenever the missing opcode is being used, here are my CPU flags: flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36 clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe syscall nx rdtscp lm constant_tsc arch_perfmon pebs bts rep_good nopl xtopology nonstop_tsc aperfmperf pni dtes64 monitor ds_cpl vmx est tm2 ssse3 cx16 xtpr pdcm sse4_1 sse4_2 popcnt lahf_lm ida dtherm tpr_shadow vnmi flexpriority ept vpid Here's the output at /var/log/messages regarding this: [ 6914.042253] traps: DyingLightGame[1804] trap invalid opcode ip:110e9a0 sp:7fff8291a4e8 error:0 in DyingLightGame[110b000+1cbb000] [ 6927.108473] traps: DyingLightGame[1993] trap invalid opcode ip:110e9a0 sp:7fffaf80c998 error:0 in DyingLightGame[110b000+1cbb000] [ 6958.731969] traps: DyingLightGame[2267] trap invalid opcode ip:110e9a0 sp:7fffbb3f0458 error:0 in DyingLightGame[110b000+1cbb000] [ 6967.030568] traps: DyingLightGame[2345] trap invalid opcode ip:110e9a0 sp:7fffbe853da8 error:0 in DyingLightGame[110b000+1cbb000] @Piotrek, i think that recompiling all the object code without "-march=native" or by explicitly choosing a saner instruction set should solve the issue on non-SSE5 equipped CPUs, but proxying the main launcher should be a better way so that CPU support detection can choose which executable to run without penalizing SSE5-ready CPUs.
  8. Hi, game is unplayable on linux. My HW specs: Intel® Core i5-4670K CPU @ 3.40GHz 16Gb RAM GeForce GTX 780 3Gb NVIDIA drivers version 346.35 Linux arch 3.18.4-1-ARCH #1 SMP PREEMPT Tue x86_64 GNU/Linux And steam osd shows me 18-20 FPS outside.. it is really ugly =( Is there any chance to improve performance of linux client in near future?
  9. On Linux when I open equipment menu using 1, I can't change weapon to firecrackers (this is first time when I had to use that menu) and closing that menu requires either holding for long time esc key or using shift-tab or using gamepad. Since I don't have gamepad, the game ends here for me - so it's major issue for me. Discussions on steam forum: http://steamcommunity.com/app/239140/discussions/0/613948093895067273/ http://steamcommunity.com/app/239140/discussions/0/613948093896301794/
  10. Game not starting. Nothing happen in several hours. The application can not be found even in the system of control. The game does not start. my computer spec: Ubuntu 14.04.1 LTS (64 bit) AMD Phenom II X4 965 Processor × 4, 3,4 Ghz Nvidia geforce GTX 560 Ti/PCIe/SSE2 Driver: 4.5.0 NVIDIA 346.35 with latest xorg-edgers/ppa drivers. im also testing Driver: 4.2.0 NVIDIA 304.125 with xorg-edgers/ppa drivers (OpenGL 4.2). memory 7,8 gt more specs: https://gist.github.com/lahtis/8935236 I found a kernel bugs in my log-file. Jan 27 17:45:23 GameComputer kernel: [221739.854958] traps: DyingLightGame[11560] trap invalid opcode ip:110e160 sp:7fff0e5fa658 error:0 in DyingLightGame[110b000+1cb7000] Jan 27 17:46:08 GameComputer kernel: [221785.100126] traps: DyingLightGame[11579] trap invalid opcode ip:110e160 sp:7fffb10dd6b8 error:0 in DyingLightGame[110b000+1cb7000] Jan 27 17:46:56 GameComputer kernel: [221832.818974] traps: DyingLightGame[11838] trap invalid opcode ip:110e160 sp:7fff5173fb98 error:0 in DyingLightGame[110b000+1cb7000] Jan 27 17:50:56 GameComputer kernel: [222072.352038] traps: DyingLightGame[11890] trap invalid opcode ip:110e160 sp:7fffa20e7f18 error:0 in DyingLightGame[110b000+1cb7000] Same issue as Debian Jessie 64bit AMD Phenom II X4 970 AMD Radeon HD 6850 Catalyst FGLRX Driver Steam forum: http://steamcommunity.com/app/239140/discussions/0/613948093896706045/